Skip to main content
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
permissions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.Permissions.ListAsync(
            id: "id",
            request: new ListUserPermissionsRequestParameters {
                PerPage = 1,
                Page = 1,
                IncludeTotals = true
            }
        );
    }

}
[
  {
    "sources": "<unknown>",
    "resource_server_identifier": "<string>",
    "permission_name": "<string>",
    "resource_server_name": "<string>",
    "description": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to retrieve the permissions for.

Query Parameters

per_page
integer

Number of results per page.

Required range: 1 <= x <= 100
page
integer

Page index of the results to return. First page is 0.

Required range: x >= 0
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

Response

Permissions successfully retrieved.

sources
any
resource_server_identifier
string

Resource server (API) identifier that this permission is for.

permission_name
string

Name of this permission.

resource_server_name
string

Resource server (API) name this permission is for.

description
string

Description of this permission.